com.amazon.redshift.copy

## Interface CopyDual

All Superinterfaces:
  CopyIn, CopyOperation, CopyOut

All Known Implementing Classes:
  CopyDualImpl

    public interface CopyDual
    extends CopyIn, CopyOut

Bidirectional via copy stream protocol. Via bidirectional copy protocol work Redshift replication.

See Also:
  `CopyIn`, `CopyOut`

### Method Summary

### Methods inherited from interface com.amazon.redshift.copy.CopyIn

`endCopy, flushCopy, writeToCopy, writeToCopy`

### Methods inherited from interface com.amazon.redshift.copy.CopyOut

`readFromCopy, readFromCopy`

### Methods inherited from interface com.amazon.redshift.copy.CopyOperation

`cancelCopy, getFieldCount, getFieldFormat, getFormat, getHandledRowCount, isActive`